members
POST /v1/members/invitations/{invitationId}/accept
Accept an invitation addressed to your email.
Authenticatie
Stuur een API-sleutel mee als bearer token. Dit eindpunt vermeldt geen specifieke toestemming in de specificatie, dus geef uw sleutel de minimale rechten die nodig zijn en controleer het antwoord in plaats van zomaar wat aan te nemen.
Dit eindpunt vereist geen organisatie-id. Uw sleutel identificeert al de organisatie waartoe deze behoort, en het antwoord is hierop afgestemd.
Probeer het
Vervang alles tussen punthaakjes door uw eigen waarden en de sleutelplaatsvervanger door een sleutel uit uw dashboard.
curl -X POST https://api.zinndigital.com/v1/members/invitations/{invitationId}/accept \
-H "Authorization: Bearer zdk_live_…"Ingelogd? De API-console in je dashboard vult je echte organisatie-id en je eigen sleutel in, en voert het verzoek uit tegen de live API zodat je de daadwerkelijke respons kunt zien. Open dit eindpunt in de API-console
Details
Accepts an invitation whose email matches the **caller's verified email**, joining the organization with the invited role. The email match is the authorization — there is no secret token. Refuses an expired, revoked, already-accepted, or wrong-email invitation (422). Idempotent on the resulting membership.
Parameters
| Naam | Type | Verplicht | Wat dit is |
|---|---|---|---|
invitationId (path) | string | Ja | The invitation's id. |
Reactie
| Naam | Type | Verplicht | Wat dit is |
|---|---|---|---|
id | string | Ja | — |
org_id | string | Ja | — |
org_name | string | Ja | The inviting organisation's display name, so an invitee can answer "accept?". |
email | string | Ja | — |
role | string | Ja | — |
site_grants | object[] | Ja | The individual sites this invitation lends, when it was created by sharing a site with an address that had no account (`POST /v1/sites/{siteId}/collaborators`). Empty for an ord… |
status | string<pending, accepted, revoked> | Ja | — |
expires_at | string | Ja | — |
accepted_at | string | Nee | — |
created_at | string | Ja | — |
Fouten die dit eindpunt kan retourneren
401 · 403 · 404 · 422